Bug 236728 - databases/postgis25: fix build with GCC-based architectures
Summary: databases/postgis25: fix build with GCC-based architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Linimon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-23 04:40 UTC by Piotr Kubaj
Modified: 2019-03-29 14:42 UTC (History)
2 users (show)

See Also:
lbartoletti: maintainer-feedback+


Attachments
patch (536 bytes, patch)
2019-03-23 04:40 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-03-23 04:40:56 UTC
Created attachment 203060 [details]
patch

Remove #pragma GCC diagnostic from postgis/lwgeom_functions_basic.c and postgis/lwgeom_geos.c to fix build with base GCC.

Tested on powerpc64 and amd64.

Hardware sponsored by IntegriCloud.
Comment 1 Loïc Bartoletti freebsd_committer 2019-03-28 19:08:01 UTC
Thanks.
Comment 2 commit-hook freebsd_committer 2019-03-29 14:42:00 UTC
A commit references this bug:

Author: linimon
Date: Fri Mar 29 14:41:55 UTC 2019
New revision: 497146
URL: https://svnweb.freebsd.org/changeset/ports/497146

Log:
  Fix build on gcc-based architectures:

    lwgeom_functions_basic.c:1566: error: #pragma GCC diagnostic not allowed inside functions

  PR:		236728
  Submitted by:	Piotr Kubaj
  Approved by:	maintainer

Changes:
  head/databases/postgis25/Makefile